/*
 * VarStructParameter.java
 *
 * Created on October 31, 2005, 6:54 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package deb;

import java.util.Map;

/**
 *
 * @author alver
 */
public class VarStructParameter extends Parameter {
      
    StructParameter[] structs;
    double[] times;
    
    /** Creates a new instance of StructParameter */
    public VarStructParameter(double[] times, String[] values, Map<String,Parameter> par) {
        this.times = times;
        structs = new StructParameter[times.length];
        for (int i=0; i<times.length; i++) {
            structs[i] = (StructParameter)par.get(values[i]);
        }
    }

    private StructParameter getStruct(double t) {
        for (int i=0; i<times.length-1; i++)
            if (t < times[i+1])
                return structs[i];
        return structs[times.length-1];
    }
    
    public double getFromStruct(String key, double t) {
        return getStruct(t).getFromStruct(key, t);
    } 
}
