/*
 * VariableParameter.java
 *
 * Created on October 31, 2005, 3:19 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package deb;

import java.io.IOException;

/**
 *
 * @author alver
 */
public class VariableParameter extends Parameter {
    
    private double[][] values;
    
    /** Creates a new instance of VariableParameter */
    public VariableParameter(double[][] values) {
        this.values = values;
    }

    public double getValue(double t) {
        for (int i=0; i<values.length-1; i++)
        if (t < values[i+1][0])
            return values[i][1];
        return values[values.length-1][1];
    }

    public void write(String name, java.io.Writer fw) throws IOException {
        fw.write("<parameter name=\""+name+"\" type=\"variable\">\n");
        for (int j=0; j<values.length; j++)
            fw.write("<element time=\""+values[j][0]+"\" value=\""+values[j][1]+"\" />\n");
        fw.write("</parameter>\n");
    }
    
    
}
