/*
 * ArrayParameter.java
 *
 * Created on October 31, 2005, 5:56 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package deb;

import java.io.IOException;

/**
 *
 * @author alver
 */
public class ArrayParameter extends Parameter{
    
    double[] value;
    
    /** Creates a new instance of ArrayParameter */
    public ArrayParameter(double[] value) {
        this.value = value;
    }

    public double[] getArray(double t) {
        return value;
    }

    public void write(String name, java.io.Writer fw) throws IOException {
        fw.write("<parameter name=\""+name+"\" type=\"array\">\n");
        for (int j=0; j<value.length; j++)
            fw.write("<element number=\""+j+"\" value=\""+value[j]+"\" />\n");
        fw.write("</parameter>\n");
    }
    
    
}
