/*
 * Parameter.java
 *
 * Created on October 31, 2005, 3:15 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package deb;

import java.io.IOException;
import java.io.Writer;

/**
 *
 * @author alver
 */
public abstract class Parameter {
    
    /**
     * Get the value of the parameter at the current time.
     */
    public double getValue(double t) {
        throw new UnsupportedOperationException();
    }
    
    public boolean getBoolean(double t) {
        throw new UnsupportedOperationException();
    }
    
    public double[] getArray(double t) {
        throw new UnsupportedOperationException();
    };
    
    public double getFromStruct(String key, double t) {
        throw new UnsupportedOperationException();
    }
    
    public String getString(double t) {
        throw new UnsupportedOperationException();
    }
    
    public double getTimeSinceScheduled(double t) {
        throw new UnsupportedOperationException();
    }
    
    public double getLastScheduledValue(double t) {
        throw new UnsupportedOperationException();
    }
    
    public void write(String name, Writer out) throws IOException {
        throw new UnsupportedOperationException();
    }
}
