package deb.fishtank;

import deb.operations.Operation;
import deb.Population;
import deb.Parameters;

/**
 * Created by IntelliJ IDEA.
 * User: alver
 * Date: Feb 6, 2007
 * Time: 12:37:47 PM
 * To change this template use File | Settings | File Templates.
 */
public class KeepBaseFeedAtReference implements Operation {

    public boolean performNow(double t, double dt) {
        return true;
    }

    public void performOperation(double t, double dt, Population pop, Parameters envPar) {
        pop.getBaseFeedDynamic().setLevel(envPar.get("baseFeedReference", t));
    }

    public Operation copy(Parameters par) throws UnsupportedOperationException {
        return new KeepBaseFeedAtReference();
    }
}
